#ifndef __GC_AI_H__
#define __GC_AI_H__

#define AI_DMA_STARTH    *(volatile unsigned short*)(0xCC005030)
#define AI_DMA_STARTL    *(volatile unsigned short*)(0xCC005032)
#define AI_DMA_LENGTH    *(volatile unsigned short*)(0xCC005036)
#define AI_STREAM_STATUS *(volatile unsigned long*)(0xCC006C00)
#define AI_DSP_STATUS	 *(volatile unsigned short*)(0xCC00500A)

extern unsigned long samplePlaying;
typedef void (*afp)(void);
extern afp AICallback;

#define GC_AI_SetFreq32KHz() AI_STREAM_STATUS |= 0x40
#define GC_AI_SetFreq48KHz() AI_STREAM_STATUS &= ~0x40

void GC_AI_Init (void);
void GC_AI_LoadSample (void *tsample, unsigned long size);
void GC_AI_StartSample (void);
void GC_AI_StopSample (void);
afp GC_AI_SetCallback (afp callback);
afp GC_AI_GetCallback (void);

#endif
