#ifndef __GC_DEBUG_H__
#define __GC_DEBUG_H__

#ifndef GC_DEBUG
   #define	ASSERT(Assertion, pMessage)         \
				   GC_Debug_ASSERT((Assertion),  \
				   (pMessage),                \
				   #Assertion,                \
				   __FILE__,                  \
				   __LINE__)
#else
   #define  ASSERT(Assertion, Message)
#endif

#define PSOLOAD_DOLRELOADER			 asm ("lis 3, 0x8000"); \
									 asm ("ori 3, 3, 0x1800"); \
									 asm ("mtlr 3"); \
									 asm ("blrl");

void GC_Debug_Init (unsigned long *FrameBuffer, int vmode);
void GC_Debug_RCharT (unsigned char tchar, unsigned long color, int x, int y);
void GC_Debug_RHNumT (unsigned long anum, unsigned long color, int x, int y);
void GC_Debug_RNumT (long anum, unsigned long color, int x, int y);
void GC_Debug_RStringT (char *astr, unsigned long color, int x, int y);
void GC_Debug_ASSERT (int condition, char *astr, char *expression, char *file, unsigned long tline);

#endif
