#ifndef __GC_EXCEPTION_H__
#define __GC_EXCEPTION_H__

#include <GC_Types.h>
#include <GC_Arch.h>
#include <GC_Context.h>

typedef u8 __GC_Exception;
typedef void (*__GC_Exception_Handler)(__GC_Exception exceptionNumber, GC_Context* context);

void GC_SystemCall_Init (void);
void GC_Exception_Init(void);
__GC_Exception_Handler __GC_Exception_Handler_Set(__GC_Exception exceptionNumber, __GC_Exception_Handler handler);
__GC_Exception_Handler __GC_Exception_Handler_Get(__GC_Exception exceptionNumber);

#endif
