// GCLIB (Free GameCube SDK Libraries)
//
// GC_AR.c by Costis
//
// Version 1.0
//
// Revisions:
//
// V1.0 - Added all of the current functions, etc.
//		  This file should be pretty much complete,

#include <GC_AI.h>
#include <GC_AR.h>

// Start an Auxiliary RAM (ARAM) DMA transfer.
void GC_AR_StartDMA (unsigned long mmAddr, unsigned long arAddr, unsigned long length, unsigned long type)
{
	AR_DMA_MMADDR_H = mmAddr >> 16;
	AR_DMA_MMADDR_L = mmAddr & 0xFFFF;

	AR_DMA_ARADDR_H = arAddr >> 16;
	AR_DMA_ARADDR_L = arAddr & 0xFFFF;

	AR_DMA_CNT_H = (type << 15) | (length >> 16);
	AR_DMA_CNT_L = length & 0xFFFF;

	while (AI_DSP_STATUS & 0x200);
}